@font-face {
	font-family: Sarabun-Regular;
	src: url(./font/Sarabun-Regular.ttf);
	font-display: swap;
}

body {
	background-color: #ffb459;
	font-family: 'Inter','Sarabun-Regular', sans-serif;
	margin: 0;
	padding: 30px 0;
	color: #000000;
}

/* แบ่ง 2 คอลลัม*/
.a4-container {
	display: grid;
	grid-template-columns: 35% 65%;
	width: 780px;
	background-color: #fff;
	border: 3px solid #2d4779; /* เส้นขอบ */
	margin: 0 auto;
	box-shadow: 5px 5px 15px rgba(0,0,0,0.5);
}

header {
	grid-column: span 2;
	display: flex;
	justify-content: space-between;
	align-items: center;
	border-bottom: 3px solid #2d4779;
	background-color: #2d4779;
	padding: 5px 15px;
}

.logo {
	font-size: 26px;
	font-weight: bold;
	color: #fff;
	font-style: italic;
	flex: 1;
}

.nav-links {
	flex: 2;
	text-align: center;
	color: #fff;
}

.nav-links a {
	color: #fff;
	text-decoration: none;
	font-weight: bold;
	margin: 0 8px;
	font-size: 14px;
}

.nav-links a:hover {
	text-decoration: underline;
	color: #ff8c00;
}

.login-btn {
	color: #86f24b !important;
}

.date-box {
	flex: 1;
	text-align: right;
}

.in-date-box {
	border: 2px solid #FF0000;
	color: #FF0000;
	padding: 3px 8px;
	font-weight: bold;
	background-color: #FFF;
	font-size: 13px;
	display: inline-block;
}

.sidebar {
	padding: 20px;
	border-right: 2px dashed #7F00FF;
}

.main-content {
	padding: 20px;
}

.desc-text {
	font-size: 14px; 
	line-height: 1.5; 
	margin-top: 0;
}

.sub-title {
	font-size: 13px; 
	color: #000;
}

.quote-box {
	font-size: 14px; 
	background-color: #FFF8DC; 
	padding: 8px; 
	border: 16px;
}

.quote-box-mailto {
	font-size: 14px; 
	background-color: #e6c4ff; 
	padding: 8px; 
	border: 4px solid;
	border-top: 14px solid;
	border-color: #c478ff;
}

.music-box {
	margin-top: 25px; 
	padding: 10px; 
	background: #F9F9F9; 
	border: 1px solid #CCC;
}

.section-title {
	color: #fc6c25;
	font-size: 18px;
	font-weight: bold;
	letter-spacing: 1px;
	margin-bottom: 8px;
	border-bottom: 1px solid #CCC;
	padding-bottom: 3px;
}

/* อุ้ย ใครเนี้ยน่ารักจังเลย */
#nusara-img {
	border: 2px solid #2d4779;
	padding: 3px;
	background: #FFFFFF;
	width: 160px;
	height: auto;
}

.links-list {
	margin: 0;
	padding-left: 20px;
}
.links-list li {
	margin-bottom: 8px;
}
.links-list a {
	color: #a042ff;
	font-weight: bold;
}

footer {
	grid-column: span 2;
	background-color: #F0F0F0;
	border-top: 2px solid #7F00FF;
	padding: 15px;
	font-size: 12px;
	color: #555555;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

footer button {
	font-size: 11px;
	margin-left: 5px;
	cursor: pointer;
}
/* แถมลูกเล่นโง่ ๆ */
.floating-firoeii-img {
	position: fixed;
	bottom: -300px;
	right: 20px;
	width: 256px;
	height: auto;
	pointer-events: none; 
	transition: bottom 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275); 
	z-index: 9999; 
}

.floating-firoeii-img.show {
	bottom: 0px;
}